%define name gnome-paint
%define version 0.3
%define release %mkrel 1
%define __libtoolize /bin/true
Summary:        Easy to use paint program for GNOME
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Graphics
License:        GPLv3
URL:            http://code.google.com/p/gnome-paint/
Source0:        http://code.google.com/p/gnome-paint/%{name}-%{version}.tar.gz
Source1:        gp.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gtk2-devel
BuildRequires:  glib2-devel
BuildRequires:  libtool
BuildRequires:  directfb-devel
BuildRequires:  pango-devel
BuildRequires:  cairo-devel
BuildRequires:  libpixman-1-devel
BuildRequires:  freetype-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext


%description
Gnome-paint is a simple, easy to use paint program for GNOME. 
It is inspired on MS-Paint.

%prep
%setup -q

%build
%configure2_5x

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
desktop-file-install --vendor="" \
     --remove-category="Application" \
     --add-category="X-MandrivaLinux-Multimedia-Graphics" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang gnome_paint

install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps/gp.png

rm -rf $RPM_BUILD_ROOT/usr/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f gnome_paint.lang
%defattr(-,root,root,-)
%doc COPYING README AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/16x16/apps/gp.png
%{_datadir}/pixmaps/gp.png
%{_datadir}/%{name}

%changelog
* Sun May 30 2010 Slick50 <slick50@linuxgator.org> 0.3-1pclos2010
- initial build
 
